<style>
  table.table td {
    padding-top: 0.1rem;
    padding-bottom: 0.3rem;
  }
  .labelText{margin:10px 0;display:block;}
  .title4{margin:15px 0;position:absolute;top:-50px;padding:0 15px;background-color:#fff}
  .box{border:1px solid rgba(76, 76, 76, 0.21);margin:45px 15px 15px;padding:20px 0px;position:relative;border-radius:5px;width:100%}
  .MLR{margin:0 1px}
</style>
<br>
<div style="margin-top: 15px ">
    <app-on-demand-company-contract></app-on-demand-company-contract>
</div>

<div class="container">
  <div class="card">
    <div class="card-body">
     Shift Type Corporate Contract  is based on Rate per Shift
    </div>
  </div>

  <div style="margin-top: 5px ">
    <button type="button" class="btn btn-primary" data-toggle="modal"
            data-target="#add" (click)="getIncialConfig()">Add Transaction
    </button>
  </div>

  <div class="row">
    <table class="table table-bordered">
      <thead>
      <tr>
        <th>vehicle Number</th>
        <th>Company Name</th>
        <th>Vehicle Type</th>
        <th>Total Kms</th>
        <th>Total Amt</th>
        <th>Date</th>
        <th>DELETE</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let CCDetails of CC5List">
        <td>{{CCDetails.corporateContract}}</td>
        <td>{{CCDetails.companyTransactionSelected.companySelectedForDropDown}}</td>
        <td>{{CCDetails.vehicleType.vehicleTypeName}}</td>
        <td>{{CCDetails.totalKms}}</td>
        <td>{{CCDetails.totalAmt}}</td>
        <td>{{CCDetails.updated|date}}</td>
        <!-- <td>
           <button type="button" class="btn btn-primary" data-toggle="modal"
                   (click)="getEditConfiguration(history)" data-target="#edit">Edit
           </button>
         </td>-->
        <td>
          <button type="button" class="btn btn-primary" data-toggle="modal"
                  (click)="deleteCC1Trasnaction(CCDetails)">Delete
          </button>
        </td>

      </tr>
      </tbody>
    </table>
  </div>

</div>


<!-- Modal -->
<div id="add" class="modal fade right" role="dialog">
  <div class="modal-dialog modal-lg     form-modal">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Add Transaction</h4>
      </div>
      <div class="card">
        <div class="card-body">
          <div style="color: red"> *Minimum days Per Shift Transaction</div>
        </div>
      </div>
      <div class="modal-body">

        <div class="row">
          <div class="col-sm-6" style="float: left">
            <label class="text-capitalize">Select Vehicle<span style="color:red">*</span></label>
            <ng-multiselect-dropdown
                    [placeholder]="'Select Vehicle'"
                    [data]="vechicleDropdownList"
                    [(ngModel)]="selectedVehicleItems"
                    [settings]="vechicledropdownSettings"
                    (onSelect)="onvehicleSelect($event)"
                    (onSelectAll)="onSelectAll($event)"
                    (onDeSelect)="onItemDeSelect($event)">
            </ng-multiselect-dropdown>
          </div>
          <div class="col-sm-6">
            <label class="text-capitalize">Select Company<span style="color:red">*</span></label>

            <ng-multiselect-dropdown
                    [placeholder]="'Select Company'"
                    [data]="companyAssetDropDown"
                    [(ngModel)]="companySelectedDetails"
                    [settings]="companyDropdownSettings"
                    (onSelect)="onCompanySelect($event)"
            >
            </ng-multiselect-dropdown>
          </div>

        </div>
        <br>
        <br>

        <div class="row">
          <div class="col-sm-6">
            <label class="text-capitalize fontMedium">Transaction Date
            </label>
            <form class="form-inline">
              <div class="form-group">
                <div class="input-group">
                  <input class="form-control" placeholder="yyyy-mm-dd"
                         name="dp" [(ngModel)]="transactionDate" ngbDatepicker #d="ngbDatepicker">
                  <div class="input-group-append">
                    <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                           aria-hidden="true"></i>
                    </button>
                  </div>
                </div>
              </div>
            </form>
          </div>
        </div>
        <div class="row">
          <div class="box clearfix">
            <div class="col-sm-12">
              <h3 class="title4">Corporate Contract</h3>
            </div>
            <div class="row MLR">
              <div class="col-sm-12">
                <div class="row" *ngIf="corporateContractFields">
                  <div class="form-group py-2 col-sm-6 col-md-6 col-lg-6 .col-xl-6"  *ngFor="let field of corporateContractFields">
                    <div  >
                      <div *ngIf=" field.fieldDisplayType==='number'&& field.configurationType==='configuration' ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="number" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly required>
                      </div>

                      <div *ngIf=" field.fieldDisplayType==='number'&& field.configurationType!=='configuration' ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="number" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" required>
                      </div>

                      <div *ngIf="field.required  && field.fieldDisplayType==='text' && field.configurationType==='configuration' ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly required>
                      </div>



                      <div *ngIf="field.required  && field.fieldDisplayType==='text' && field.configurationType!=='configuration' ">
                        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" required>
                      </div>


                      <div *ngIf="!field.required  && field.fieldDisplayType==='text'  && field.configurationType==='configuration'  ">
                        <label class="text-capitalize">{{field.label}}</label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]" readonly>
                      </div>

                      <div *ngIf="!field.required  && field.fieldDisplayType==='text'  && field.configurationType!=='configuration'  ">
                        <label class="text-capitalize">{{field.label}}</label>
                        <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                               [(ngModel)]="formConfigData[field.field]">
                      </div>
                    </div>
                    <div *ngIf="field.field!=='corporateContract' && field.fieldDisplayType==='dropDown' ">
                      <div class="text-capitalize">{{field.label}}</div>
                      <select [(ngModel)]="formConfigData[field.field]" id="category" class="form-control">
                        <option  *ngFor="let value of field.value.dropDownValues">{{value}}</option>
                      </select>
                    </div>

                    <div *ngIf="field.fieldDisplayType==='textarea' ">
                      <div class="form-group">
                        <label class="text-capitalize">{{field.label}}</label>
                        <textarea class="form-control" rows="3" [(ngModel)]="formConfigData[field.field]"  ></textarea>
                      </div>
                    </div>

                    <div *ngIf="field.fieldDisplayType==='date' " >
                      <label class="text-capitalize fontMedium">{{field.label}}</label>
                      <form class="form-inline">
                        <div class="form-group">
                          <div class="input-group">
                            <input class="form-control" placeholder="yyyy-mm-dd"
                                   name="dp" [(ngModel)]="field.field" ngbDatepicker #d="ngbDatepicker">
                            <div class="input-group-append">
                              <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                                     aria-hidden="true"></i>
                              </button>
                            </div>
                          </div>
                        </div>
                      </form>
                    </div>



                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal"   (click)="submitTransaction()" >Submit</button>
        <button type="button" class="btn  btn-warning" data-dismiss="modal">Close</button>
      </div>
    </div>

  </div>
</div>